# MCS_TokenAttributes Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Choices { e_grabbed, e_inhibited, e_giving, e_ungivable, e_given }

## Public Member Functions

| MCS_TokenAttributes (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator MCS_TokenAttributes_grabbed & ()
| operator const MCS_TokenAttributes_grabbed & () const
| operator MCS_TokenAttributes_inhibited & ()
| operator const MCS_TokenAttributes_inhibited & () const
| operator MCS_TokenAttributes_giving & ()
| operator const MCS_TokenAttributes_giving & () const
| operator MCS_TokenAttributes_ungivable & ()
| operator const MCS_TokenAttributes_ungivable & () const
| operator MCS_TokenAttributes_given & ()
| operator const MCS_TokenAttributes_given & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_TokenAttributes::Choices

Enumerator:

  e_grabbed |
  e_inhibited |
  e_giving |
  e_ungivable |
  e_given |

## Constructor & Destructor Documentation

MCS_TokenAttributes::MCS_TokenAttributes | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_TokenAttributes::operator MCS_TokenAttributes_grabbed & | ( |  | ) |

MCS_TokenAttributes::operator const MCS_TokenAttributes_grabbed & | ( |  | ) | const

MCS_TokenAttributes::operator MCS_TokenAttributes_inhibited & | ( |  | ) |

MCS_TokenAttributes::operator const MCS_TokenAttributes_inhibited & | ( |  | ) | const

MCS_TokenAttributes::operator MCS_TokenAttributes_giving & | ( |  | ) |

MCS_TokenAttributes::operator const MCS_TokenAttributes_giving & | ( |  | ) | const

MCS_TokenAttributes::operator MCS_TokenAttributes_ungivable & | ( |  | ) |

MCS_TokenAttributes::operator const MCS_TokenAttributes_ungivable & | ( |  | ) | const

MCS_TokenAttributes::operator MCS_TokenAttributes_given & | ( |  | ) |

MCS_TokenAttributes::operator const MCS_TokenAttributes_given & | ( |  | ) | const

PBoolean MCS_TokenAttributes::CreateObject | ( |  | ) |

PObject* MCS_TokenAttributes::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h